package cn.com.poc.law.entity.legislativeDocument;

import cn.com.poc.law.jsonSerializer.JacksonStringNotNullSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：CaseContactInfo
 * @Date：2025-08-12 18:53
 */
public class CaseContactInfo {
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String name;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String position;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String email;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String phone;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String mobilePhone;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }
}
